## kdsoap-ws-discovery-client 0.2

=== CMakeLists.txt ===
# Copyright (C) 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

project(kdsoap-ws-discovery-client VERSION 0.2)

include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(CTest)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)

set(REQUIRED_QT_VERSION 5.9.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Network Xml)

find_package(KDSoap 1.9.0 REQUIRED)
set_package_properties(KDSoap PROPERTIES
    DESCRIPTION "A Qt-based client-side and server-side SOAP component"
    URL "http://www.kdab.com/products/kd-soap"
    TYPE REQUIRED
    PURPOSE "Support for SOAP client protocol"
)

if (BUILD_TESTING)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
endif()

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX WSDISCOVERY
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdsoap_wsdiscovery_client_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfigVersion.cmake"
)


add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(docs)  
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDSoapWSDiscoveryClient")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KDSoapWSDiscoveryClient_QCH
        FILE KDSoapWSDiscoveryClientQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KDSoapWSDiscoveryClientQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KDSoapWSDiscoveryClientConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdsoap_wsdiscovery_client_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KDSoapWSDiscoveryClient
        COMPONENT Devel)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KDSoapWSDiscoveryClientTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KDSoapWSDiscoveryClientTargets.cmake
        NAMESPACE KDSoap::)


feature_summary(
    WHAT ALL
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== debian/changelog ===
kdsoap-ws-discovery-client (0.2-0.obs.1) unstable; urgency=medium

  * Initial release 

 -- Alexander Reinholdt <alexander.reinholdt@kdemail.net>  Mon, 31 May 2021 20:28:01 +0200

=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: kde
Priority: optional
Maintainer: Alexander Reinholdt <alexander.reinholdt@kdemail.net>
Build-Depends:	debhelper-compat (= 11),
		cmake (>= 3.7),
		extra-cmake-modules (>= 5.54.0),
		libkdsoap-dev (>= 1.9.0) | kdsoap (>= 1.9.0),
		qtbase5-dev (>= 5.9.0)
Standards-Version: 4.1.3
Homepage: https://github.com/caspermeijn/kdsoap-ws-discovery-client

Package: kdsoap-ws-discovery-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDSoap WS-Discovery client 
 This project is trying to create a WS-Discovery client 
 library based on the KDSoap library. It uses modern C++ 11 
 and Qt 5. The initial development is done for ONVIFViewer, 
 a ONVIF camera viewer. However the library is designed to 
 be useful as a generic WS-Discovery client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF

## kdsoap-ws-discovery-client 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,41 +1,37 @@
-# Copyright (C) 2019 Casper Meijn <casper@meijn.net>
+# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.7)
 
-project(kdsoap-ws-discovery-client VERSION 0.2)
+project(kdsoap-ws-discovery-client VERSION 0.4.0)
 
 include(FeatureSummary)
 find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://develop.kde.org/products/frameworks/")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(CTest)
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 include(GenerateExportHeader)
 
 set(REQUIRED_QT_VERSION 5.9.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Network Xml)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Network Xml)
 
-find_package(KDSoap 1.9.0 REQUIRED)
-set_package_properties(KDSoap PROPERTIES
+set(KDSOAP_REQUIRED_VERSION 2.0.0)
+
+if (QT_MAJOR_VERSION EQUAL "6")
+    set(KDSOAP_PACKAGE KDSoap-qt6)
+else()
+    set(KDSOAP_PACKAGE KDSoap)
+endif()
+find_package(${KDSOAP_PACKAGE} ${KDSOAP_REQUIRED_VERSION} REQUIRED)
+set_package_properties(${KDSOAP_PACKAGE} PROPERTIES
     DESCRIPTION "A Qt-based client-side and server-side SOAP component"
     URL "http://www.kdab.com/products/kd-soap"
     TYPE REQUIRED
@@ -43,7 +39,7 @@
 )
 
 if (BUILD_TESTING)
-    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
+    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
 endif()
 
 include(ECMSetupVersion)
@@ -60,10 +56,13 @@
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDSoapWSDiscoveryClientConfigVersion.cmake"
 )
 
+add_definitions(
+    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
+)
 
 add_subdirectory(src)
 add_subdirectory(examples)
-add_subdirectory(docs)  
+add_subdirectory(docs)
 if(BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
@@ -104,6 +103,9 @@
         FILE KDSoapWSDiscoveryClientTargets.cmake
         NAMESPACE KDSoap::)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(
     WHAT ALL

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2020 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.7)

include(ECMAddTests)

ecm_add_tests(
    test_wsdiscoveryclient.cpp
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Network Qt${QT_MAJOR_VERSION}::Test KDSoap::WSDiscoveryClient
)

=== docs/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.7)

find_package(Doxygen
             OPTIONAL_COMPONENTS dot mscgen dia)
             
if(DOXYGEN_FOUND)             
    doxygen_add_docs(docs
        "README.md"
        "src/wsdiscoveryclient.h"
        "src/wsdiscoveryprobejob.h"
        "src/wsdiscoverytargetservice.h"
        "src/wsdiscoveryserviceaggregator.h"
        ALL
        USE_STAMP_FILE
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/..
        )
    install(DIRECTORY
            ${CMAKE_CURRENT_BINARY_DIR}/html/
        DESTINATION ${KDE_INSTALL_DATADIR}/doc/KDSoapWSDiscoveryClient
        COMPONENT Devel)
endif()

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

add_subdirectory(onvif-discover)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.7)

set(GLOBAL_KSWSDL2CPP_OPTION)
get_filename_component(KDWSDL_IMPORT_PATH ../wsdl/ ABSOLUTE)
set(GLOBAL_KSWSDL2CPP_OPTION -import-path ${KDWSDL_IMPORT_PATH} -use-local-files-only)

set(KSWSDL2CPP_OPTION -namespace WSDiscovery200901 ${GLOBAL_KSWSDL2CPP_OPTION})
KDSOAP_GENERATE_WSDL(KDSoapWSDiscoveryClient_WSDL ${KDWSDL_IMPORT_PATH}/docs.oasis-open.org/ws-dd/discovery/1.1/os/wsdd-discovery-1.1-wsdl-os.wsdl)
set(KSWSDL2CPP_OPTION -namespace WSDiscovery200504 ${GLOBAL_KSWSDL2CPP_OPTION})
KDSOAP_GENERATE_WSDL(KDSoapWSDiscoveryClient_WSDL ${KDWSDL_IMPORT_PATH}/schemas.xmlsoap.org/ws/2005/04/discovery/ws-discovery.wsdl)

set(KDSoapWSDiscoveryClient_SRCS
    "wsdiscoveryclient.cpp"
    "wsdiscoveryprobejob.cpp"
    "wsdiscoverytargetservice.cpp"
    "wsdiscoveryserviceaggregator.cpp"
)

ecm_qt_declare_logging_category(KDSoapWSDiscoveryClient_SRCS
    HEADER loggingcategory.h
    IDENTIFIER KDSoapWSDiscoveryClient
    CATEGORY_NAME kdsoap.wsdiscoveryclient
    DEFAULT_SEVERITY Warning
)

add_library(KDSoapWSDiscoveryClient ${KDSoapWSDiscoveryClient_SRCS} ${KDSoapWSDiscoveryClient_WSDL})
generate_export_header(KDSoapWSDiscoveryClient BASE_NAME WSDiscoveryClient)
add_library(KDSoap::WSDiscoveryClient ALIAS KDSoapWSDiscoveryClient)

target_include_directories(KDSoapWSDiscoveryClient
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KDSoapWSDiscoveryClient>"
)

target_link_libraries(KDSoapWSDiscoveryClient
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        KDSoap::kdsoap
    PRIVATE
)

set_target_properties(KDSoapWSDiscoveryClient PROPERTIES
    VERSION     ${WSDISCOVERY_VERSION_STRING}
    SOVERSION   ${WSDISCOVERY_SOVERSION}
    EXPORT_NAME "WSDiscoveryClient"
)

ecm_generate_headers(KDSoapWSDiscoveryClient_HEADERS
    HEADER_NAMES
    WSDiscoveryClient
    WSDiscoveryProbeJob
    WSDiscoveryTargetService
    WSDiscoveryServiceAggregator

    REQUIRED_HEADERS KDSoapWSDiscoveryClient_HEADERS
)

install(TARGETS KDSoapWSDiscoveryClient
        EXPORT KDSoapWSDiscoveryClientTargets
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/wsdiscoveryclient_export.h
            ${KDSoapWSDiscoveryClient_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KDSoapWSDiscoveryClient
        COMPONENT Devel)

if(BUILD_QCH)
    ecm_add_qch(
        KDSoapWSDiscoveryClient_QCH
        NAME KDSoapWSDiscoveryClient
        BASE_NAME KDSoapWSDiscoveryClient
        VERSION ${WSDISCOVERY_VERSION}
        ORG_DOMAIN net.meijn
        SOURCES # using only public headers, to cover only public API
            ${KDSoapWSDiscoveryClient_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            KDSoap_QCH
        BLANK_MACROS
            KARCHIVE_EXPORT
            KARCHIVE_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== examples/onvif-discover/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.7)

project(onvif-discover)

add_executable(${PROJECT_NAME}
    "main.cpp"
    "onvifdiscover.cpp"
)
target_link_libraries(${PROJECT_NAME} KDSoapWSDiscoveryClient)

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces/Provides for kdsoap-ws-discovery-client and
      kdsoap-ws-discovery-client-dev packages in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Feb 2025 08:09:40 +0000

kdsoap-ws-discovery-client (0.4.0-2) unstable; urgency=medium

  * Change maintainer to the Debian KDE Extras Team.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Feb 2025 23:37:06 +0100

kdsoap-ws-discovery-client (0.4.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces/Provides for kdsoap-ws-discovery-client and
      kdsoap-ws-discovery-client-dev packages in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Feb 2025 03:52:43 +0000

kdsoap-ws-discovery-client (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1094506)

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Jan 2025 01:58:40 +0100

=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Patrick Franz <deltaone@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.7~),
               extra-cmake-modules (>= 5.54.0~),
               libkdsoap-dev (>= 2.0.0~),
               qt6-base-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kdsoap-ws-discovery-client
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap-ws-discovery-client
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap-ws-discovery-client

Package: libkdsoapwsdiscoveryclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdsoap-dev (>= 2.0.0~),
         libkdsoapwsdiscoveryclient0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: kdsoap-ws-discovery-client-dev (<< 0.4.0-1~),
Replaces: kdsoap-ws-discovery-client-dev (<< 0.4.0-1~),
Provides: kdsoap-ws-discovery-client-dev,
Description: Qt-based WS-Discovery client library based on KDSoap - devel files
 This project is creating a WS-Discovery client library based on the KDSoap
 library.
 .
 This package contains the development files.

Package: libkdsoapwsdiscoveryclient0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kdsoap-ws-discovery-client (<< 0.4.0-1~),
Replaces: kdsoap-ws-discovery-client (<< 0.4.0-1~),
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is creating a WS-Discovery client library based on the KDSoap
 library.
 .
 This package contains the client-side library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6 -DBUILD_TESTING=OFF

## kdsoap-ws-discovery-client 0.4.0+p24.04+vstable+git20250824.0904

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,9 @@
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://develop.kde.org/products/frameworks/")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(CTest)
 include(KDEInstallDirs)

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vstable+git20250824.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:04:08 +0000

kdsoap-ws-discovery-client (0.4.0-0neon) jammy; urgency=medium

  * initial release

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Jul 2021 10:32:42 +0200

kdsoap-ws-discovery-client (0.2.0-0neon) jammy; urgency=medium

  * initial release

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Jul 2021 10:32:42 +0200

## kdsoap-ws-discovery-client 0.4.0+p24.04+vstable+git20251212.0051

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 
-cmake_minimum_required(VERSION 3.7)
+cmake_minimum_required(VERSION 3.16...3.30)
 
 project(kdsoap-ws-discovery-client VERSION 0.4.0)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019-2020 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 include(ECMAddTests)

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 find_package(Doxygen
              OPTIONAL_COMPONENTS dot mscgen dia)

=== examples/onvif-discover/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 project(onvif-discover)

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vstable+git20251212.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 00:51:32 +0000

## kdsoap-ws-discovery-client 0.4.0+p24.04+vunstable+git20250824.0904

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vunstable+git20250824.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:04:20 +0000

=== debian/control ===
Source: kdsoap-ws-discovery-client
Section: libs
Priority: optional
Homepage: https://invent.kde.org/libraries/kdsoap-ws-discovery-client/
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dia,
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               libkdsoap-qt6-dev,
               mscgen,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kdsoap-ws-discovery-client.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kdsoap-ws-discovery-client
Maintainer: Neon CI <neon@kde.org>

Package: kdsoap-ws-discovery-client
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the client-side library.

Package: kdsoap-ws-discovery-client-dev
Section: libdevel
Architecture: any
Depends: kdsoap-ws-discovery-client,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the static libraries and header files for development
 with the KDSoap libraries.

Package: kdsoap-ws-discovery-client-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt-based WS-Discovery client library based on KDSoap
 This project is trying to create a WS-Discovery client library based on the KDSoap
 library. It uses modern C++ 11 and Qt 6.
 .
 This package contains the documentation for the kdsoap-ws-discovery-client6 library.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

#override_dh_install:
#	dh_install -plibkdsoap-doc -Xjquery.js
#	dh_install --remaining-packages

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kdsoap-ws-discovery-client/@PACKAGE@-([\d.]+).tar.xz

## kdsoap-ws-discovery-client 0.4.0+p24.04+vunstable+git20251212.0157

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # SPDX-FileCopyrightText: 2019 Casper Meijn <casper@meijn.net>
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
-
-cmake_minimum_required(VERSION 3.7)
 
 set(GLOBAL_KSWSDL2CPP_OPTION)
 get_filename_component(KDWSDL_IMPORT_PATH ../wsdl/ ABSOLUTE)

=== debian/changelog ===
kdsoap-ws-discovery-client (0.4.0+p24.04+vunstable+git20251212.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 01:57:06 +0000
